@use "../custom" as *;
@use "../components/mixins" as *;

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  -webkit-appearance: none;
  outline: 0;
}

.paraIntro,
.paraIntro2 {
  position: absolute;
  text-align: left;
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", Arial, sans-serif;
  background-color: rgb(255, 255, 255, 0.4);
  padding: 2rem 2rem;
  border-radius: 0.4rem;
  text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;

  @media only screen and (min-width: 375px) {
    height: 10rem;
    width: 15rem;
  }
  @media only screen and (min-width: 360px) {
    height: 10rem;
    width: 17rem;
  }
  @media only screen and (min-width: 820px) {
    height: 10rem;
    width: 23rem;
  }
  @media only screen and (min-width: 768px) {
    height: 10rem;
    width: 23rem;
  }
  @media only screen and (min-width: 1024px) {
    height: 10rem;
    width: 20rem;
  }
  @media only screen and (min-width: 1280px) {
    height: 10rem;
    width: 25rem;
  }
}

.paraIntro {
  transform: translate(-30%, -260%);
  font-size: 1.5rem;
  @media only screen and (min-width: 375px) {
    font-size: 1.2rem;
    transform: translate(-20%, -290%);
  }
  @media only screen and (min-width: 414px) {
    font-size: 1.2rem;
    transform: translate(-20%, -380%);
  }
  @media only screen and (min-width: 390px) {
    font-size: 1.2rem;
    transform: translate(-20%, -380%);
  }
  @media only screen and (min-width: 360px) {
    font-size: 1.2rem;
    transform: translate(-20%, -280%);
  }
  @media only screen and (min-width: 820px) {
    font-size: 1.2rem;
    transform: translate(-20%, -500%);
  }
  @media only screen and (min-width: 768px) {
    font-size: 1.2rem;
    transform: translate(-20%, -450%);
  }
  @media only screen and (min-width: 912px) {
    font-size: 1.2rem;
    transform: translate(-20%, -600%);
  }
  @media only screen and (min-width: 1024px) {
    font-size: 1.5rem;
    transform: translate(-30%, -230%);
  }
  @media only screen and (min-width: 1280px) {
    font-size: 1.5rem;
    transform: translate(-30%, -300%);
  }
}

.paraIntro2 {
  transform: translate(-1%, -210%);
  font-style: italic;
  @media only screen and (min-width: 375px) {
    font-size: 2rem;
    transform: translate(-1%, -200%);
  }
  @media only screen and (min-width: 414px) {
    font-size: 2rem;
    transform: translate(-1%, -300%);
  }
  @media only screen and (min-width: 390px) {
    font-size: 2rem;
    transform: translate(-1%, -300%);
  }
  @media only screen and (min-width: 360px) {
    font-size: 2rem;
    transform: translate(-8%, -200%);
  }
  @media only screen and (min-width: 820px) {
    font-size: 2rem;
    transform: translate(-8%, -420%);
  }
  @media only screen and (min-width: 768px) {
    font-size: 2rem;
    transform: translate(-8%, -370%);
  }
  @media only screen and (min-width: 912px) {
    font-size: 2rem;
    transform: translate(-8%, -520%);
  }
  @media only screen and (min-width: 1024px) {
    font-size: 2rem;
    transform: translate(-1%, -150%);
  }
  @media only screen and (min-width: 1280px) {
    font-size: 2rem;
    transform: translate(-1%, -220%);
  }
}

.imageCar {
  height: 100vh;
  width: 100vw;
  object-fit: cover;
  @media only screen and (min-width: 280px) {
    height: 100vh;
  }
  @media only screen and (min-width: 360px) {
    height: 100vh;
  }
  @media only screen and (min-width: 375px) {
    height: 100vh;
  }
  @media only screen and (min-width: 393px) {
    height: 100vh;
  }
  @media only screen and (min-width: 414px) {
    height: 100vh;
  }
  @media only screen and (min-width: 2000px) {
    height: 100vh;
  }
}

.welcome {
  text-align: center;
  position: absolute;
  font-family: "Lobster", cursive;
  font-size: 8rem;
  text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black,
    2px 8px 4px rgb(58, 50, 50);
  transform: translate(-20%, -400%);
  color: white;

  @media only screen and (min-width: 280px) {
    font-size: 3rem;
    transform: translate(-20%, -700%);
  }
  @media only screen and (min-width: 360px) {
    font-size: 4rem;
    transform: translate(-20%, -600%);
  }
  @media only screen and (min-width: 375px) {
    font-size: 4rem;
    transform: translate(-20%, -600%);
  }
  @media only screen and (min-width: 390px) {
    font-size: 4rem;
    transform: translate(-20%, -800%);
  }
  @media only screen and (min-width: 390px) {
    font-size: 4.3rem;
    transform: translate(-14%, -560%);
  }
  @media only screen and (min-width: 393px) {
    font-size: 4.5rem;
    transform: translate(-15%, -540%);
  }
  @media only screen and (min-width: 414px) {
    font-size: 5rem;
    transform: translate(-20%, -480%);
  }
  @media only screen and (min-width: 540px) {
    font-size: 5rem;
    transform: translate(-20%, -500%);
  }
  @media only screen and (min-width: 820px) {
    font-size: 6rem;
    transform: translate(-10%, -700%);
  }
  @media only screen and (min-width: 768px) {
    font-size: 6rem;
    transform: translate(-10%, -630%);
  }
  @media only screen and (min-width: 912px) {
    font-size: 6rem;
    transform: translate(-10%, -850%);
  }
  @media only screen and (min-width: 1000px) {
    font-size: 8rem;
    transform: translate(-20%, -400%);
  }
  @media only screen and (min-width: 1024px) {
    font-size: 6rem;
    transform: translate(-20%, -355%);
  }
  @media only screen and (min-width: 1280px) {
    font-size: 8rem;
    transform: translate(-20%, -370%);
  }
}

.welStyle:hover {
  transition: 1s;
  transform: translateX(4px);
  cursor: pointer;
}

.thankStyle:hover {
  transition: 1s;
  transform: translateX(-4px);
  cursor: pointer;
}

.scrollStyle:hover {
  transition: 1s;
  transform: translateX(4px);
  cursor: pointer;
}
